C
C     Include Section:  EK Data Types
C
C        ektype.inc Version 1  27-DEC-1994 (NJB)
C
C
C     Within the EK system, data types of EK column contents are
C     represented by integer codes.  The codes and their meanings
C     are listed below.
C
C     Integer codes are also used within the DAS system to indicate
C     data types; the EK system makes no assumptions about compatibility
C     between the codes used here and those used in the DAS system.
C
C
C     Character type:
C
      INTEGER               CHR
      PARAMETER           ( CHR  = 1 )
 
C
C     Double precision type:
C
      INTEGER               DP
      PARAMETER           ( DP   = 2 )
 
C
C     Integer type:
C
      INTEGER               INT
      PARAMETER           ( INT  = 3 )
 
C
C     `Time' type:
C
C     Within the EK system, time values are represented as ephemeris
C     seconds past J2000 (TDB), and double precision numbers are used
C     to store these values.  However, since time values require special
C     treatment both on input and output, and since the `TIME' column
C     has a special role in the EK specification and code, time values
C     are identified as a type distinct from double precision numbers.
C
      INTEGER               TIME
      PARAMETER           ( TIME = 4 )
 
C
C     End Include Section:  EK Data Types
C
