C$Procedure    EXTMSI  ( print message with integer and do error exit )
 
      SUBROUTINE EXTMSI ( MESSGE, MARKER, ICODE )
 
C$ Abstract
C
C     This subroutine prints an error message with an integer
C     and then exits.
C
C$ Copyright
C
C     Copyright (1997), California Institute of Technology.
C     U.S. Government sponsorship acknowledged.
C
C$ Required_Reading
C
C     None.
C
C$ Keywords
C
C     ERROR
C
C$ Declarations
 
      IMPLICIT NONE
 
 
      INTEGER               ICODE
 
      CHARACTER*(*)         MESSGE
      CHARACTER*(*)         MARKER
 
 
C$ Brief_I/O
C
C     VARIABLE  I/O  DESCRIPTION
C     --------  ---  --------------------------------------------------
C     MESSGE     I   Character string with message and an imbedded
C                    marker.
C     MARKER     I   Character string marker to be replaced.
C     ICODE      I   Integer that will be inserted into the message.
C
C$ Detailed_Input
C
C     MESSGE     is a character string with a message, and a marker
C                where the integer ICODE will be inserted.
C
C     MARKER     is a character string to be replaced by an integer.
C
C     ICODE      is an integer that will be inserted into the message
C                at the location of the marker.
C
C$ Detailed_Output
C
C     None.
C
C$ Parameters
C
C     None.
C
C$ Files
C
C     None.
C
C$ Exceptions
C
C     Error free.
C
C$ Particulars
C
C     This is a common task in MKPLAT.
C
C$ Examples
C
C
C
C$ Restrictions
C
C     None.
C
C$ Author_and_Institution
C
C     J.A. Bytof      (JPL)
C
C$ Literature_References
C
C     None.
C
C$ Version
C
C-    SPICELIB Version 1.0.0, 10-APR-1997 (JAB)
C
C
C-&
 
C$ Index_Entries
C
C     Error exit message with integer.
C
C-&
 
C
C     SPICELIB functions
C
      LOGICAL               RETURN
 
C
C     Local variables.
C
 
C
C     Standard SPICE error handling.
C
      IF ( RETURN () ) THEN
         RETURN
      ELSE
         CALL CHKIN ( 'EXTMSI' )
      END IF
 
      CALL SETMSG ( MESSGE              )
      CALL ERRINT ( MARKER, ICODE       )
      CALL SIGERR ( 'SPICE(ERROREXIT)'  )
 
      CALL CHKOUT ( 'EXTMSI' )
 
      RETURN
      END
