C$Procedure  ADDLST  ( add to integer list )
 
      SUBROUTINE ADDLST ( IVAL, IVDEX, PNTRS, IVLIST )
 
C$ Abstract
C
C     Add a value to an integer list.
C
C$ Copyright
C
C     Copyright (1999), California Institute of Technology.
C     U.S. Government sponsorship acknowledged.
C
C$ Required_Reading
C
C     None.
C
C$ Keywords
C
C     INTEGER LIST
C
C$ Declarations
 
      IMPLICIT NONE
 
      INTEGER               IVAL
      INTEGER               IVDEX
      INTEGER               PNTRS  ( * )
      INTEGER               IVLIST ( * )
 
C$ Brief_I/O
C
C     VARIABLE  I/O  DESCRIPTION
C     --------  ---  --------------------------------------------------
C     IVAL       I   New integer value to be added to list.
C     IVDEX     I/O  Current length of list.
C     PNTRS     I/O  Pointer to integer list.
C     IVLIST    I/O  List of integers.
C
C$ Detailed_Input
C
C     IVAL      New integer value to be added to list.
C     IVDEX     Current length of list.
C     PNTRS     Pointer to integer list.
C     IVLIST    List of integers.
C
C$ Detailed_Output
C
C     IVDEX     Current length of list.
C     PNTRS     Pointer to integer list.
C     IVLIST    List of integers.
C
C$ Parameters
C
C     None.
C
C$ Files
C
C     None.
C
C$ Exceptions
C
C     Error free.
C
C$ Particulars
C
C     Later.
C
C$ Examples
C
C     Later.
C
C$ Restrictions
C
C     None.
C
C$ Author_and_Institution
C
C     J.A. Bytof      (JPL)
C
C$ Literature_References
C
C     None.
C
C$ Version
C
C-    SPICELIB Version 1.0.0, 04-FEB-1999 (JAB)
C
C
C-&
 
C$ Index_Entries
C
C     add a value to an integer list
C
C-&
 
 
C
C     If pointer is unset, add integer to list
C     and set pointer.
C
 
      IF( PNTRS(IVAL) .EQ. -1 ) THEN
          IVDEX         = IVDEX + 1
          PNTRS (IVAL ) = IVDEX
          IVLIST(IVDEX) = IVAL
      END IF
 
 
      RETURN
      END
