C
C     Include Section:  EK Segment Descriptor Parameters
C
C        eksegdsc.inc  Version 8  06-NOV-1995 (NJB)
C
C
C     All `base addresses' referred to below are the addresses
C     *preceding* the item the base applies to.  This convention
C     enables simplied address calculations in many cases.
C
C     Size of segment descriptor.  Note:  the include file ekcoldsc.inc
C     must be updated if this parameter is changed.  The parameter
C     CDOFF in that file should be kept equal to SDSCSZ.
C
      INTEGER               SDSCSZ
      PARAMETER           ( SDSCSZ = 24  )
 
C
C     Index of the segment type code:
C
      INTEGER               EKTIDX
      PARAMETER           ( EKTIDX = 1 )
 
C
C     Index of the segment's number.  This number is the segment's
C     index in the list of segments contained in the EK to which
C     the segment belongs.
C
      INTEGER               SNOIDX
      PARAMETER           ( SNOIDX = EKTIDX  + 1 )
 
C
C     Index of the DAS integer base address of the segment's integer
C     meta-data:
C
      INTEGER               IMDIDX
      PARAMETER           ( IMDIDX = SNOIDX  + 1 )
 
C
C     Index of the DAS character base address of the table name:
C
      INTEGER               TNMIDX
      PARAMETER           ( TNMIDX = IMDIDX  + 1 )
 
C
C     Index of the segment's column count:
C
      INTEGER               NCIDX
      PARAMETER           ( NCIDX  = TNMIDX  + 1 )
 
C
C     Index of the segment's record count:
C
      INTEGER               NRIDX
      PARAMETER           ( NRIDX  = NCIDX + 1 )
 
C
C     Index of the root page number of the record tree:
C
      INTEGER               RTIDX
      PARAMETER           ( RTIDX  = NRIDX + 1 )
 
C
C     Index of the root page number of the character data page tree:
C
      INTEGER               CPTIDX
      PARAMETER           ( CPTIDX = RTIDX  + 1 )
 
C
C     Index of the root page number of the double precision data page
C     tree:
C
      INTEGER               DPTIDX
      PARAMETER           ( DPTIDX = CPTIDX + 1 )
 
C
C     Index of the root page number of the integer data page tree:
C
      INTEGER               IPTIDX
      PARAMETER           ( IPTIDX = DPTIDX + 1 )
 
C
C     Index of the `modified' flag:
C
      INTEGER               MFLIDX
      PARAMETER           ( MFLIDX = IPTIDX + 1 )
 
C
C     Index of the `initialized' flag:
C
      INTEGER               IFLIDX
      PARAMETER           ( IFLIDX = MFLIDX + 1 )
 
C
C     Index of the shadowing flag:
C
      INTEGER               SHDIDX
      PARAMETER           ( SHDIDX = IFLIDX + 1 )
 
C
C     Index of the companion file handle:
C
      INTEGER               CFHIDX
      PARAMETER           ( CFHIDX = SHDIDX + 1 )
 
C
C     Index of the companion segment number:
C
      INTEGER               CSNIDX
      PARAMETER           ( CSNIDX = CFHIDX + 1 )
 
C
C     The next three items are, respectively, the page numbers of the
C     last character, d.p., and integer data pages allocated by the
C     segment:
C
      INTEGER               LCPIDX
      PARAMETER           ( LCPIDX = CSNIDX + 1 )
 
      INTEGER               LDPIDX
      PARAMETER           ( LDPIDX = LCPIDX + 1 )
 
      INTEGER               LIPIDX
      PARAMETER           ( LIPIDX = LDPIDX + 1 )
 
C
C     The next three items are, respectively, the page-relative
C     indices of the last DAS word in use in the segment's
C     last character, d.p., and integer data pages:
C
      INTEGER               LCWIDX
      PARAMETER           ( LCWIDX = LIPIDX + 1 )
 
      INTEGER               LDWIDX
      PARAMETER           ( LDWIDX = LCWIDX + 1 )
 
      INTEGER               LIWIDX
      PARAMETER           ( LIWIDX = LDWIDX + 1 )
 
C
C     Index of the DAS character base address of the column name list:
C
      INTEGER               NMLIDX
      PARAMETER           ( NMLIDX = LIWIDX  + 1 )
 
C
C     The last descriptor element is reserved for future use.  No
C     parameter is defined to point to this location.
C
 
C
C     End Include Section:  EK Segment Descriptor Parameters
C
