C$Procedure  INGRD  ( is a voxel inside the grid? )
 
       LOGICAL FUNCTION INGRD ( NVOX, VOXEL )
 
 
C$ Abstract
C
C     Return true if voxel is inside the voxel grid.
C
C$ Copyright
C
C     Copyright (1999), California Institute of Technology.
C     U.S. Government sponsorship acknowledged.
C
C$ Required_Reading
C
C     None.
C
C$ Keywords
C
C     VOXEL
C
C$ Declarations
 
      IMPLICIT              NONE
 
      INTEGER               NVOX  ( 3 )
      INTEGER               VOXEL ( 3 )
 
C$ Brief_I/O
C
C     VARIABLE  I/O  DESCRIPTION
C     --------  ---  --------------------------------------------------
C     NVOX       I   Dimensions of voxel grid.
C     VOXEL      I   Coordinates of voxel in voxel grid units.
C
C     The function returns .TRUE. if the voxel is inside the grid.
C
C$ Detailed_Input
C
C     NVOX       Dimensions of voxel grid.
C     VOXEL      Coordinates of voxel in voxel grid units.
C
C$ Detailed_Output
C
C     The function returns .TRUE. if the voxel is inside the grid.
C
C$ Parameters
C
C     None.
C
C$ Files
C
C     None.
C
C$ Exceptions
C
C     Error free.
C
C$ Particulars
C
C     Later.
C
C$ Examples
C
C     Later.
C
C$ Restrictions
C
C     None.
C
C$ Author_and_Institution
C
C     J.A. Bytof      (JPL)
C
C$ Literature_References
C
C     None.
C
C$ Version
C
C-    SPICELIB Version 1.0.0, 03-FEB-1999 (JAB)
C
C
C-&
 
C$ Index_Entries
C
C      voxel inside grid
C
C-&
 
 
      INTEGER               I
 
 
      INGRD = .FALSE.
 
C
C     Determine if voxel is outside the voxel grid
C     in any direction.
C
      DO I = 1, 3
         IF ((VOXEL(I).LT.1) .OR. (VOXEL(I).GT.NVOX(I))) THEN
            RETURN
         END IF
      END DO
 
      INGRD = .TRUE.
 
      RETURN
      END
