C$Procedure  INLIST  ( return true if given integer is in a list )
 
      LOGICAL FUNCTION INLIST ( N, LIST, TEST )
 
C$ Abstract
C
C     Returns true if a given integer is in a list.
C
C$ Copyright
C
C     Copyright (1999), California Institute of Technology.
C     U.S. Government sponsorship acknowledged.
C
C$ Required_Reading
C
C     None.
C
C$ Keywords
C
C     SEARCH
C
C$ Declarations
 
      IMPLICIT              NONE
 
      INTEGER               N
      INTEGER               TEST
      INTEGER               LIST   ( * )
 
C$ Brief_I/O
C
C     VARIABLE  I/O  DESCRIPTION
C     --------  ---  --------------------------------------------------
C     N          I   Length of integer list.
C     LIST       I   List of integers.
C     TEST       I   Integer to search for in the list.
C
C$ Detailed_Input
C
C
C$ Detailed_Output
C
C     The function returns true if the integer is found in the list.
C
C$ Parameters
C
C     None.
C
C$ Files
C
C     None.
C
C$ Exceptions
C
C     Error free.
C
C$ Particulars
C
C     Later
C
C$ Examples
C
C     Later
C
C$ Restrictions
C
C     None.
C
C$ Author_and_Institution
C
C     J.A. Bytof      (JPL)
C
C$ Literature_References
C
C     None.
C
C$ Version
C
C-    SPICELIB Version 1.0.0, 12-MAR-1999 (JAB)
C
C
C-&
 
C$ Index_Entries
C
C     list
C
C-&
 
      INTEGER             I
 
      INLIST = .FALSE.
 
      DO I = 1, N
         IF( TEST .EQ. LIST(I) ) THEN
            INLIST = .TRUE.
            RETURN
         END IF
      END DO
 
      RETURN
      END
