C$Procedure  IPACK3  ( Pack three scalar components into a vector )
 
      SUBROUTINE IPACK3 ( IX, IY, IZ, VXLST )
 
C$ Abstract
C
C     Place integers in an integer 3-vector.
C
C$ Copyright
C
C     Copyright (1999), California Institute of Technology.
C     U.S. Government sponsorship acknowledged.
C
C$ Required_Reading
C
C     None.
C
C$ Keywords
C
C     VOXEL
C
C$ Declarations
 
      IMPLICIT NONE
 
      INTEGER               IX
      INTEGER               IY
      INTEGER               IZ
      INTEGER               VXLST    ( 3 )
 
C$ Brief_I/O
C
C    VARIABLE  I/O  DESCRIPTION
C    --------  ---  --------------------------------------------------
C     IX,
C     IY,
C     IZ        I   Scalar components of a vector.
C     VXLST     O   Equivalent vector.
C
C$ Detailed_Input
C
C     IX,
C     IY,
C     IZ        are the scalar integer components of a 3-vector.
C
C$ Detailed_Output
C
C     VXLST     is the equivalent vector, such that VXLST(1) = IX
C                                                   VXLST(2) = IY
C                                                   VXLST(3) = IZ
C
C$ Parameters
C
C     None.
C
C$ Files
C
C     None.
C
C$ Exceptions
C
C     Error free.
C
C$ Particulars
C
C      This routine encapsulates the operations:
C
C            VXLST(1) = IX
C            VXLST(2) = IY
C            VXLST(3) = IZ
C
C      for scalar integers in the same way VPACK operates
C      on three scalar doubles.
C
C$ Examples
C
C      See: Detailed_Description.
C
C$ Restrictions
C
C     None.
C
C$ Author_and_Institution
C
C     J.A. Bytof      (JPL)
C
C$ Literature_References
C
C     None.
C
C$ Version
C
C-    SPICELIB Version 1.1.0, 20-OCT-2004 (EDW)
C
C        Edits to comments and header.
C
C-    SPICELIB Version 1.0.0, 04-FEB-1999 (JAB)
C
C-&
 
C$ Index_Entries
C
C      pack scalar integer into a vector
C
C-&

      VXLST(1) = IX
      VXLST(2) = IY
      VXLST(3) = IZ
 
      RETURN
      END
