C$Procedure      RDPLAT ( Read a plate model E-Kernel into memory )
 
      SUBROUTINE RDPLAT ( EKFILE )
 
C$ Abstract
C
C     This routine reads a plate model E-kernel into memory
C     for use by plate model subroutines.
C
C$ Copyright
C
C     Copyright (1997), California Institute of Technology.
C     U.S. Government sponsorship acknowledged.
C
C$ Required_Reading
C
C     MKPLAT Users Guide.
C     Plate Model Required Reading.
C
C$ Keywords
C
C     PLATE
C     KERNEL
C
C$ Declarations
 
      IMPLICIT NONE
 
      CHARACTER*(*)          EKFILE
 
 
C$ Brief_I/O
C
C     VARIABLE  I/O  DESCRIPTION
C     --------  ---  --------------------------------------------------
C     EKFILE     I   Name of plate model E-Kernel.
C
C
C$ Detailed_Input
C
C     EKFILE     is the name of the plate model file that
C                is to be loaded into memory.
C
C
C
C$ Detailed_Output
C
C     None.
C
C$ Parameters
C
C     None.
C
C$ Files
C
C     None.
C
C$ Exceptions
C
C     1) If information required by this routine has not been
C        loaded prior to calling this routine, the omission will
C        be diagnosed by a routine in the call tree of this routine.
C
C$ Particulars
C
C     None.
C
C$ Examples
C
C
C     C
C     C  Get name of E-Kernel and call plate kernel
C     C  reading routine.
C     C
C
C        CALL PROMPT ( 'Enter plate kernel name:', EKFILE )
C        CALL RDPLAT ( EKFILE                             )
C
C
C
C$ Restrictions
C
C     None.
C
C$ Author_and_Institution
C
C     J.A. Bytof      (JPL)
C
C$ Literature_References
C
C     None.
C
C$ Version
C
C-    SPICELIB Version 1.0.0, 18-JUL-1997 (JAB)
C
C
C-&
 
C$ Index_Entries
C
C     read plate model E-kernel
C
C-&
C
C$ Revision
C
C-&
 
C
C     SPICELIB functions
C
 
      LOGICAL               RETURN
 
 
C
C     Standard SPICE error handling.
C
 
      IF ( RETURN () ) THEN
         RETURN
      ELSE
         CALL CHKIN ( 'RDPLAT' )
      END IF
 
C
C     Call private routine in PLTMGR to open and read E-Kernel.
C
 
      CALL INPLAT ( EKFILE   )
 
 
      CALL CHKOUT ( 'RDPLAT' )
 
      RETURN
      END
